Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004035 [JEDI VCL] 00 JVCL Components major have not tried 2007-01-13 14:42 2007-10-12 04:17
Reporter migajek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0004035: Unexpected behaviour of JvDockClient form
Description Just after the program runs I'm creating some dockable forms and docking them using the code from MSDN2002 example. The problem is, that when I move the cursor over the side "button" the window shows, but without the titlebar!
The following screenshot shows that
http://img217.imageshack.us/img217/6070/wrongbp2.jpg [^]
But, when the window hides (automatically) and appears after moving the cursor again over the side "button", the window has the titlebar :
http://img65.imageshack.us/img65/3593/goodco4.jpg [^]

the code for creating & docking is following

 procedure VSNetDockForm(AForm: TForm; APanel: TJvDockVSNETPanel);
 begin
    AForm.Top := 10000;
    AForm.ManualDock(APanel,nil,APanel.Align);
    APanel.ShowDockPanel(True, AForm);
    APanel.DoHideControl(AForm);
 end;


FTPClientForm:= TFTPClientForm.Create(Application);
VSNetDockForm(FTPClientForm, jvDockServer1.LeftDockPanel as TJvDockVSNETPanel);

I've discovered that calling FTPClientForm.Show(); before VSNetDockForm fixes the problem, but the window blinks than and I dont want that, moreover in MSDN2002 example there is no need for calling "show" before docking.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0013428)
obones (administrator)
2007-06-19 06:29

Please try with the latest SVN version and see if the problem still occurs.
(0013896)
obones (administrator)
2007-10-12 04:17

No news, assuming this is fixed

- Issue History
Date Modified Username Field Change
2007-01-13 14:42 migajek New Issue
2007-06-19 06:29 obones Note Added: 0013428
2007-06-19 06:29 obones Status new => feedback
2007-10-12 04:17 obones Status feedback => resolved
2007-10-12 04:17 obones Fixed in Version => Daily / SVN
2007-10-12 04:17 obones Resolution open => fixed
2007-10-12 04:17 obones Assigned To => obones
2007-10-12 04:17 obones Note Added: 0013896


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker